This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 488667 - Broadcom 4312 not detected by F10, b43 driver does not appear to work
Broadcom 4312 not detected by F10, b43 driver does not appear to work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-05 00:05 EST by Dan Farmer
Modified: 2009-12-18 03:57 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:57:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (44.86 KB, text/plain)
2009-03-05 00:05 EST, Dan Farmer
no flags Details
output of lshal after boot-up (134.70 KB, text/plain)
2009-03-05 11:04 EST, Dan Farmer
no flags Details

  None (edit)
Description Dan Farmer 2009-03-05 00:05:35 EST
Created attachment 334092 [details]
dmesg output

Description of problem:
My wireless card is not detected by Fedora 10. Even after using b43-fwcutter to extract firmware to /lib/firmware/b43. I have manually created a wlan0 alias to b43 and still no luck. I HAVE made wireless work in the past with broadcom-wl package (but was broken by most recent kernel update)

Version-Release number of selected component (if applicable):
NetworkManager: 0.7.0 
b43-fwcutter 011 (3.fc9)

How reproducible:
100% on this system

Steps to Reproduce:
1. Install FC10
2. [optional: perform system update]
3. Check NetworkManager for wireless networks --> none because no hardware is detected.
  
Actual results:
No wlan detected.

Expected results:
Wireless card detected, able to see and connect to access points via NM applet.

Additional info:
I first brought this up on the Fedora Forums, so some good background is also available on that thread: http://forums.fedoraforum.org/showthread.php?t=215616 )
Comment 1 Dan Williams 2009-03-05 06:34:11 EST
Can you attach the output of 'lshal' when that command is run in a terminal?  You could also do "lshal > ~/Desktop/lshal.txt" and just attach the 'lshal.txt' file that will be created on your desktop when you run that command.
Comment 2 Dan Farmer 2009-03-05 11:04:24 EST
Created attachment 334144 [details]
output of lshal after boot-up
Comment 3 Jessica Sterling 2009-03-06 12:54:50 EST
This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Dan Williams 2009-03-23 17:56:42 EDT
So the 4312 is actually the LP-PHY (I think) type, and not yet supported by the b43 driver.  Reverse-engineering is already going on though, so it'll be supported in the future.  So if the driver can't drive it, NM isn't going to see it :(
Comment 5 Dan Farmer 2009-03-23 18:16:41 EDT
Alright. Thanks Dan. Binary driver for now then.
Comment 6 Charlie Moschel 2009-09-20 13:38:34 EDT
This 4312 chip [14e4:4315] is a LP-PHY and is now working in the latest wireless tree.  I've tested it with today's compat-wireless-2.6 patchset against today's rawhide kernel. 

According to http://linuxwireless.org/en/users/Drivers/b43#fw-b43-lp, this will be in the 2.6.32 kernel.

Any chance that support for this LP-PHY could be backported to rawhide?  Note that the current non-free drivers fail building a kmod with the rawhide kernel, so really this would be the only option for this chip in F12.
Comment 7 Charlie Moschel 2009-09-20 15:35:02 EDT
Sorry, it's not ready for rawhide (Heh, that's not something you hear everyday :)

Per comment #6, it works, intermittently.  If (when) it fails, it generates continuous loops of "b43-phy0 ERORR: Fata DMA error: ... controller reset ... firmware load .... b43-phy0 controller restarted .... Fatal DMA Error ....".  This eventually locks up the machine unless I unload the module.

I'll keep testing this from upstream using compat-wireless-2.6 patchset, and make a note here when it's stable.  Machine is a Lenovo G530

sorry for the noise.
Comment 8 Bug Zapper 2009-11-18 06:17:03 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 03:57:22 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.